// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: sei-client/model/answer-info.proto

package model

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type AnswerInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Description string `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *AnswerInfo) Reset() {
	*x = AnswerInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sei_client_model_answer_info_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AnswerInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AnswerInfo) ProtoMessage() {}

func (x *AnswerInfo) ProtoReflect() protoreflect.Message {
	mi := &file_sei_client_model_answer_info_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AnswerInfo.ProtoReflect.Descriptor instead.
func (*AnswerInfo) Descriptor() ([]byte, []int) {
	return file_sei_client_model_answer_info_proto_rawDescGZIP(), []int{0}
}

func (x *AnswerInfo) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

var File_sei_client_model_answer_info_proto protoreflect.FileDescriptor

var file_sei_client_model_answer_info_proto_rawDesc = []byte{
	0x0a, 0x22, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2f, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x66, 0x6f, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x73, 0x65, 0x69, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x22, 0x2e, 0x0a, 0x0a, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x20,
	0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x42, 0x82, 0x01, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x0a, 0x41, 0x6e, 0x73, 0x77, 0x65,
	0x72, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x01, 0x5a, 0x3c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f,
	0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2f, 0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f,
	0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x0a, 0x73, 0x65,
	0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0xca, 0x02, 0x0a, 0x73, 0x65, 0x69, 0x2d, 0x63,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_sei_client_model_answer_info_proto_rawDescOnce sync.Once
	file_sei_client_model_answer_info_proto_rawDescData = file_sei_client_model_answer_info_proto_rawDesc
)

func file_sei_client_model_answer_info_proto_rawDescGZIP() []byte {
	file_sei_client_model_answer_info_proto_rawDescOnce.Do(func() {
		file_sei_client_model_answer_info_proto_rawDescData = protoimpl.X.CompressGZIP(file_sei_client_model_answer_info_proto_rawDescData)
	})
	return file_sei_client_model_answer_info_proto_rawDescData
}

var file_sei_client_model_answer_info_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_sei_client_model_answer_info_proto_goTypes = []interface{}{
	(*AnswerInfo)(nil), // 0: sei_client.AnswerInfo
}
var file_sei_client_model_answer_info_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_sei_client_model_answer_info_proto_init() }
func file_sei_client_model_answer_info_proto_init() {
	if File_sei_client_model_answer_info_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_sei_client_model_answer_info_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AnswerInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_sei_client_model_answer_info_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_sei_client_model_answer_info_proto_goTypes,
		DependencyIndexes: file_sei_client_model_answer_info_proto_depIdxs,
		MessageInfos:      file_sei_client_model_answer_info_proto_msgTypes,
	}.Build()
	File_sei_client_model_answer_info_proto = out.File
	file_sei_client_model_answer_info_proto_rawDesc = nil
	file_sei_client_model_answer_info_proto_goTypes = nil
	file_sei_client_model_answer_info_proto_depIdxs = nil
}
